%define uname	BR24radar_pi
%define piname	br24radar_pi

Name:		opencpn-br24radar-plugin
Summary:	Radar plugin for OpenCpn
Version:	2.2
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://github.com/canboat/%{uname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{uname}-%{version}.tar.xz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{uname} = %{version}

%description
Navico (Simrad, Lowrance) Broadband BR24/3G/4G Radar PlugIn for opencpn

%prep
%setup -q -n %{uname}

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/*


%changelog
* Wed Nov 01 2017 bb2 <bb2> - 2.2-1pclos2017
- new version

